tree.binarytree

## Class Node

- java.lang.Object
- - tree.binarytree.Node

-     class Node
      extends java.lang.Object

  Implementace uzlu dynamického binárního stromu.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Element` | `elem` ohodnocení uzlu
    `protected Node` | `left` levý syn
    `protected Node` | `right` pravý syn

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Node(Element aElem)` Vyrobí instanci uzlu pro dynamický binární strom.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()` Uvede instanci do koncového stavu.
    `Element` | `getElement()` Vrátí hodnotu uzlu.
    `Node` | `getLeft()` Vrátí levou větev.
    `Node` | `getRight()` Vrátí pravou větev.
    `void` | `setElement(Element aElem)` Nastaví hodnotu uzlu.
    `void` | `setLeft(Node branch)` Nastaví levou větev.
    `void` | `setRight(Node branch)` Nastaví pravou větev.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### elem

          protected Element elem

      ohodnocení uzlu

    - #### left

          protected Node left

      levý syn

    - #### right

          protected Node right

      pravý syn

  - ### Constructor Detail

    - #### Node

          public Node(Element aElem)

      Vyrobí instanci uzlu pro dynamický binární strom.
      Parameters:
        `aElem` - prvek, který má být ohodnocením uzlu

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Uvede instanci do koncového stavu. Nepoužívejte! Volá se automaticky při destrukci.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable` - zděděná výjimka

    - #### getElement

          public Element getElement()

      Vrátí hodnotu uzlu.
      Returns:
        hodnota uzlu

    - #### setElement

          public void setElement(Element aElem)

      Nastaví hodnotu uzlu.
      Parameters:
        `aElem` - hodnota uzlu

    - #### getLeft

          public Node getLeft()

      Vrátí levou větev.
      Returns:
        levá větev

    - #### setLeft

          public void setLeft(Node branch)

      Nastaví levou větev.
      Parameters:
        `branch` - levá větev

    - #### getRight

          public Node getRight()

      Vrátí pravou větev.
      Returns:
        pravá větev

    - #### setRight

          public void setRight(Node branch)

      Nastaví pravou větev.
      Parameters:
        `branch` - pravá větev